Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514921 - Bump haproxy version to 1.6
Summary: Bump haproxy version to 1.6
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: haproxy
Version: 7.4
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Ryan O'Hara
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 13:17 UTC by Nir Magnezi
Modified: 2017-12-11 17:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-11 17:14:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CentOS 14147 None None None 2017-11-19 13:27:06 UTC

Description Nir Magnezi 2017-11-19 13:17:10 UTC
Description of problem:
=======================
OpenStack Octavia (network load balancing as a service) intends to make use of HAProxy 1.6+ external-check to fix an important functionality bug mentioned here: https://storyboard.openstack.org/#!/story/2001280
The fix itself: https://review.openstack.org/#/c/518632

P.S.
Will this eventually bump the version of haproxy in the CentOS guest image?

Comment 2 Wei Shi 2017-11-27 02:21:11 UTC
Hi Nir,
  If all you request is just to bump haproxy version to 1.6+ so CentOS cloud-image would get the updated haproxy package, we can change the component to haproxy because there is nothing rhel-guest-image could do.
  But if you also want to add haproxy to rhel-guest-image(currently rhel-guest-image don't have it), please open a new bug and move this bug to haproxy.

Comment 3 Nir Magnezi 2017-12-11 13:07:12 UTC
Hi Wei Shi,

Thank you for your response.
Indeed what I seek is to bump the version of haproxy itself, and not to add it to the rhel-guest-image. Thus changed the component to haproxy.

Thanks,
Nir

Comment 4 Ryan O'Hara 2017-12-11 17:14:04 UTC
This can't happen in RHEL. There are backward compatibility issues that could cause existing haproxy-1.5 users experience problems if we rebased to a major release of haproxy.


Note You need to log in before you can comment on or make changes to this bug.